## guichan 0.4.0

=== examples/Makefile ===
CFLAGS = -Werror -Wall -Wno-unused

all: allegro opengl sdl

allegro:
	g++ allegrohelloworld.cpp -o allegrohelloworld $(CFLAGS) \
	-lguichan_allegro -lguichan `allegro-config --libs --cflags`
	g++ allegrowidgets.cpp -o allegrowidgets  $(CFLAGS) \
	-lguichan_allegro -lguichan `allegro-config --libs --cflags`
	g++ allegroaction.cpp -o allegroaction $(CFLAGS) \
	-lguichan_allegro -lguichan `allegro-config --libs --cflags`

opengl:
	g++ openglhelloworld.cpp -o openglhelloworld $(CFLAGS) \
	-lguichan_sdl -lguichan_opengl -lguichan -lSDL_image `sdl-config --libs --cflags` -lGL
	g++ openglwidgets.cpp -o openglwidgets $(CFLAGS) \
	-lguichan_sdl -lguichan_opengl -lguichan -lSDL_image `sdl-config --libs --cflags` -lGL

sdl:
	g++ sdlhelloworld.cpp -o sdlhelloworld $(CFLAGS) \
	-lguichan_sdl -lguichan -lSDL_image `sdl-config --libs --cflags`
	g++ sdlwidgets.cpp -o sdlwidgets $(CFLAGS) \
	-lguichan_sdl -lguichan -lSDL_image `sdl-config --libs --cflags`
	g++ sdlaction.cpp -o sdlaction $(CFLAGS) \
	-lguichan_sdl -lguichan -lSDL_image `sdl-config --libs --cflags`

clean:
	rm -f allegrohelloworld allegrowidgets allegroaction
	rm -f sdlhelloworld sdlwidgets sdlaction
	rm -f openglhelloworld openglwidgets

## guichan 0.7.1-1

=== debian/changelog ===
guichan (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * Removed destroy-dropdown-widget patch, because
    it is in upstream now.
  * Bump soname.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Thu, 26 Jul 2007 18:01:22 +0200

guichan (0.6.1-3.2) unstable; urgency=low

  * Actually include some files in new binary packages.

 -- Michael Koch <konqueror@gmx.de>  Sat, 21 Jul 2007 14:38:23 -0100

guichan (0.6.1-3.1) unstable; urgency=low

  * NMU
  * Bump soname. Closes: #428186.
  * Use ${binary:Version} instead of ${Source-Version} to make package binNMU
    safe.

 -- Michael Koch <konqueror@gmx.de>  Tue, 10 Jul 2007 08:51:26 +0200

guichan (0.6.1-3) unstable; urgency=low

  * debian/control: Added dpatch to the build-depends.
  * debian/compat: Added missing newline.
  * debian/rules: Added dpatch.
  * Added destroy-dropdown-widget patch. Thanks to Guillaume
    Melquiond <guillaume.melquiond@ens-lyon.fr>.
    Closes: #429245

 -- Patrick Matthäi <patrick.matthaei@web.de>  Mon, 18 Jun 2007 09:12:58 +0200

guichan (0.6.1-2) unstable; urgency=low

  * Uploaded libguichan to Debian unstable.
  * Setted new package maintainer to Patrick Matthäi <patrick.matthaei@web.de>.
  * Updated debhelper version.
  * Updated config.guess and config.sub.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Thu, 10 May 2007 21:22:21 +0200

guichan (0.6.1-1) experimental; urgency=low

  * New upstream release. Fix a issue with libtool.

 -- FERREIRA Yohann <bertram@cegetel.net>  Mon, 30 Jan 2007 22:11:00 +0200

guichan (0.6.0-1) unstable; urgency=low

  * New upstream release.

 -- FERREIRA Yohann <bertram@cegetel.net>  Fri, 16 Jan 2007 00:43:00 +0200

guichan (0.5.0-2) unstable; urgency=low

  * Merged patch from Sam Hocevar to close some issues using his experience. ;)

 -- FERREIRA Yohann <bertram@cegetel.net>  Wed, 16 Dec 2006 23:17:32 +0200

guichan (0.5.0-1) unstable; urgency=low

  * New awaited release of guichan in debian. Thanks for your patience. (closes: #382852).

 -- FERREIRA Yohann <bertram@cegetel.net>  Wed, 16 Aug 2006 23:25:54 +0200

guichan (0.4.0-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/control:
    + Fix short descriptions.
    + Depend and build-depend on liballegro4.2-dev instead of liballegro-dev
      (Closes: #379099).
    + Depend and build-depend on xlibmesa-gl-dev | libgl-dev instead of
      xlibmesa-gl-dev (Closes: #356133).
    + Set policy to 3.7.2.
  * src/guichan.cpp:
    + Fix a GCC 4.2 FTBFS issue (Closes: #361405).
  * debian/rules:
    + Run dh_installdeb otherwise debhelper's maintainer scripts don't get
      installed.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  1 Nov 2006 11:31:52 +0100

guichan (0.4.0-4) unstable; urgency=low

  * Initial upload to Debian archive (closes: #334290).
  * Corrected package name, description, copyright, control, rules,
    compat file and updated changelog.

 -- FERREIRA Yohann <bertram@cegetel.net>  Thu, 16 Oct 2005 23:45:59 +0200

libguichan (0.4.0-3) unstable; urgency=low

  * Build against gcc-4.0.1-9.
  * Compilable on amd64.

 -- FERREIRA Yohann <bertram@cegetel.net>  Thu, 25 Sep 2005 20:22:59 +0200

libguichan (0.4.0-2) unstable; urgency=low

  * Build against gcc-4.0.1.

 -- FERREIRA Yohann <bertram@cegetel.net>  Thu, 07 Jul 2005 20:22:59 +0200

libguichan (0.4.0-1) unstable; urgency=low

  * Second Release.

 -- FERREIRA Yohann <bertram@cegetel.net>  Wed, 18 May 2005 23:03:59 +0200

libguichan (0.3.0-1) unstable; urgency=low

  * Initial Release.

 -- FERREIRA Yohann <bertram@cegetel.net>  Sun, 10 Apr 2005 17:48:59 +0200

=== debian/control ===
Source: guichan
Priority: optional
Maintainer: Patrick Matthäi <patrick.matthaei@web.de>
Build-Depends: debhelper (>= 5), dpatch, liballegro4.2-dev, libsdl1.2-dev (>= 1.2.7), libsdl-image1.2-dev (>= 1.2.4-1), xlibmesa-gl-dev | libgl-dev
Standards-Version: 3.7.2
Section: libs

Package: libguichan2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libguichan0, libguichan1
Description: small, efficient C++ GUI library
 Guichan is a small and efficient C++ GUI library designed for games. It
 comes with a standard set of widgets and can use several different objects
 for displaying graphics and grabbing user input.
 .
 Guichan has a very abstract design which allows users of Guichan to use
 different objects for displaying of graphics and grabbing of user input.
 Guichan comes with (for now) 3 implemented graphics objects (SDLGraphics,
 OpenGLGraphics and AllegroGraphics) and 2 implemented input objects
 (SDLInput and AllegroInput),
 .
 Guichan is designed in a very abstract way making it very easy to extend
 Guichan for your own needs. It is even very easy to implement new graphics
 objects making Guichan as portable as ansi C++ is.

Package: libguichan2-dev
Section: libdevel
Architecture: any
Depends: libguichan2 (= ${binary:Version}), liballegro4.2-dev, libsdl1.2-dev (>= 1.2.7), libsdl-image1.2-dev (>= 1.2.4-1), xlibmesa-gl-dev | libgl-dev
Conflicts: libguichan0-dev, libguichan1-dev
Description: small, efficient C++ GUI library
 Guichan is a small and efficient C++ GUI library designed for games. It
 comes with a standard set of widgets and can use several different objects
 for displaying graphics and grabbing user input.
 .
 Guichan has a very abstract design which allows users of Guichan to use
 different objects for displaying of graphics and grabbing of user input.
 Guichan comes with (for now) 3 implemented graphics objects (SDLGraphics,
 OpenGLGraphics and AllegroGraphics) and 2 implemented input objects
 (SDLInput and AllegroInput),
 .
 Guichan is designed in a very abstract way making it very easy to extend
 Guichan for your own needs. It is even very easy to implement new graphics
 objects making Guichan as portable as ansi C++ is.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

config.status: configure patch
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

build: build-stamp
build-stamp: config.status
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE)
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Remove manually build file until upstream does it.
	rm -f src/x/Makefile
	rm -f src/x/.deps/xgraphics.Plo
	rm -f include/guichan/x/Makefile

	# Remove dirs from previous builds
	rm -rf debian/temp
	rm -rf debian/libguichan1
	rm -rf debian/libguichan1-dev

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/temp
	dh_install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman debian/guichan.2
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## guichan 0.8.2

=== debian/changelog ===
guichan (0.8.2-15) unstable; urgency=medium

  * Add patch 02-extended-utf8-support to enhance UTF8 support.
    Closes: #702994
  * Append/Bump library names with v5 for the GCC 5 transition.
    Closes: #791064
  * Add patch 03-no-focushandler to fix a potential crash if no focushandler
    is set.
  * Remove unused override.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 04 Aug 2015 11:17:54 +0200

guichan (0.8.2-14) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (no changes needed).
  * Remove deprecated hardening-wrapper.
  * Overwrite lintian warning about missing GPG signature.
  * Enable multi arch for all library packages.
  * Update to DEP5 debian/copyright format.
  * Adjust lintian overrides.
  * Fix lintian warning static-library-has-unneeded-section.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 29 Jul 2015 22:02:24 +0200

guichan (0.8.2-13) unstable; urgency=low

  * Replace my old e-mail address in debian/copyright.
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Don't explicitly request xz compression - dpkg 1.17 does this by default.
  * Remove unused hardening-no-fortify-functions lintian override.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 12 Dec 2013 10:01:21 +0100

guichan (0.8.2-12) unstable; urgency=low

  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 05 May 2013 20:35:34 +0200

guichan (0.8.2-11) experimental; urgency=low

  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to xz compression and add a Pre-Depends on dpkg.
  * Move to minimal debhelper.
    - Adjust lintian overrides.
  * Use dh-autoreconf.
  * Overwrite false positive dev-pkg-without-shlib-symlink lintian warnings.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 14 Jan 2013 20:27:11 +0100

guichan (0.8.2-10) unstable; urgency=low

  * Add patch 01-sdl-dependent-link from Stephen M. Webb, which adds SDL to
    avoid runtime errors of applications build against guichan.
    Closes: #674219
  * Overwrite false positive hardening-no-fortify-functions lintian warnings.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 05 Jun 2012 20:17:57 +0200

guichan (0.8.2-9) unstable; urgency=low

  * Fix again debian/watch.
  * Wrap all debian/control fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 10 Mar 2012 00:24:22 +0100

guichan (0.8.2-8) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Override lintian warnings about no-symbols-control-file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 25 Feb 2012 22:01:39 +0100

guichan (0.8.2-7) unstable; urgency=low

  * Fix debian/watch file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 28 Jan 2012 16:23:49 +0100

guichan (0.8.2-6) unstable; urgency=low

  * Add missing build-arch and build-indep debian/rules target.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 25 Jan 2012 16:18:33 +0100

guichan (0.8.2-5) unstable; urgency=low

  * Remove deprecated reference to guichan documentation from manpage.
    Closes: #627485

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 29 May 2011 10:31:30 +0200

guichan (0.8.2-4) unstable; urgency=low

  * Drop .la files.
    Closes: #621236

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 14 May 2011 14:05:07 +0200

guichan (0.8.2-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Build with hardening-wrapper.
  * Wrap build dependencies.
  * Bump debhelper version to 7.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 16:20:36 +0200

guichan (0.8.2-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.1 (no changes needed).
  * Convert package to the 3.0 (quilt) format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 06 Feb 2011 17:45:03 +0100

guichan (0.8.2-1) unstable; urgency=low

  * New upstream release.
    - We do not need the config.{sub,guess} hacks anymore.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 05 Oct 2009 21:29:21 +0200

guichan (0.8.1-7) unstable; urgency=low

  * Bump Standards-Version to 3.8.3 (no changes needed).
  * Add autotools-dev to build depends and use up to date config.{sub,guess}
    scripts. This fixes an FTBFS on avr32.
    Closes: #549478

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 05 Oct 2009 18:51:46 +0200

guichan (0.8.1-6) unstable; urgency=low

  * Fix typo in get-orig-source target.
  * Change my email address in debian/copyright.
  * Bump Standards-Version to 3.8.2 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 18 Jun 2009 08:58:30 +0200

guichan (0.8.1-5) unstable; urgency=low

  * Add missing ${misc:Depends}. Thanks lintian.
  * Add get-orig-source target.
  * Bump Standards-Version to 3.8.1 (no changes needed).
  * Change section of libguichan-0.8.1-1-dbg to debug.
  * Change my email address.
  * Remove DM-Upload-Allowed control field.
  * Fix lintian warning binary-control-field-duplicates-source.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 20 Apr 2009 19:41:40 +0200

guichan (0.8.1-4) unstable; urgency=high

  * Urgency set to high, because it fixes a release critical bug.
  * debian/copyright:
    - Use the license as written in COPYING, not some other copy of it.
      Thanks to Evgeni Golov for his patch.
      Closes: #513834
    - Update the copyright years.
    - Add informations about the debian/ packaging license.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Tue, 3 Feb 2009 18:06:07 +0200

guichan (0.8.1-3) unstable; urgency=low

  * Added missing conflicts on libguichan{0,1,2}. Thanks for spotting this to
    Devid Antonio Filoni.
    Closes: #492809

 -- Patrick Matthäi <patrick.matthaei@web.de>  Tue, 29 Jul 2008 18:09:51 +0200

guichan (0.8.1-2) unstable; urgency=low

  * Uploading to unstable.
  * Updated to Standards-Version 3.8.0 (no changes needed).
  * Replaced obsolete (build) depend on "xlibmesa-gl-dev | libgl-dev" with
    libgl1-mesa-dev. Thanks lintian.



=== debian/control ===
Source: guichan
Priority: optional
Homepage: http://guichan.sourceforge.net/
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 9),
 liballegro4.2-dev,
 libsdl1.2-dev,
 libsdl-image1.2-dev,
 libgl1-mesa-dev,
 dh-autoreconf
Standards-Version: 3.9.6
Section: libs

Package: libguichan-0.8.1-1v5
Architecture: any
Multi-Arch: same
Breaks: libguichan-0.8.1-1
Replaces: libguichan-0.8.1-1
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: small, efficient C++ GUI library
 Guichan is a small and efficient C++ GUI library designed for games. It
 comes with a standard set of widgets and can use several different objects
 for displaying graphics and grabbing user input.
 .
 Guichan has a very abstract design which allows users of Guichan to use
 different objects for displaying of graphics and grabbing of user input.
 Guichan comes with (for now) 3 implemented graphics objects (SDLGraphics,
 OpenGLGraphics and AllegroGraphics) and 2 implemented input objects
 (SDLInput and AllegroInput),
 .
 Guichan is designed in a very abstract way making it very easy to extend
 Guichan for your own needs. It is even very easy to implement new graphics
 objects making Guichan as portable as ansi C++ is.

Package: libguichan-allegro-0.8.1-1v5
Architecture: any
Multi-Arch: same
Breaks: libguichan-allegro-0.8.1-1
Replaces: libguichan-allegro-0.8.1-1
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: small, efficient C++ GUI library (allegro integration)
 Guichan is a small and efficient C++ GUI library designed for games. It
 comes with a standard set of widgets and can use several different objects
 for displaying graphics and grabbing user input.
 .
 Guichan has a very abstract design which allows users of Guichan to use
 different objects for displaying of graphics and grabbing of user input.
 Guichan comes with (for now) 3 implemented graphics objects (SDLGraphics,
 OpenGLGraphics and AllegroGraphics) and 2 implemented input objects
 (SDLInput and AllegroInput),
 .
 Guichan is designed in a very abstract way making it very easy to extend
 Guichan for your own needs. It is even very easy to implement new graphics
 objects making Guichan as portable as ansi C++ is.
 .
 This package contains the allegro integration for guichan.

Package: libguichan-sdl-0.8.1-1v5
Architecture: any
Multi-Arch: same
Breaks: libguichan-sdl-0.8.1-1
Replaces: libguichan-sdl-0.8.1-1
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: small, efficient C++ GUI library (SDL integration)
 Guichan is a small and efficient C++ GUI library designed for games. It
 comes with a standard set of widgets and can use several different objects
 for displaying graphics and grabbing user input.
 .
 Guichan has a very abstract design which allows users of Guichan to use
 different objects for displaying of graphics and grabbing of user input.
 Guichan comes with (for now) 3 implemented graphics objects (SDLGraphics,
 OpenGLGraphics and AllegroGraphics) and 2 implemented input objects
 (SDLInput and AllegroInput),
 .
 Guichan is designed in a very abstract way making it very easy to extend
 Guichan for your own needs. It is even very easy to implement new graphics
 objects making Guichan as portable as ansi C++ is.
 .
 This package contains the SDL integration for guichan.

Package: libguichan-opengl-0.8.1-1v5
Architecture: any
Multi-Arch: same
Breaks: libguichan-opengl-0.8.1-1
Replaces: libguichan-opengl-0.8.1-1
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: small, efficient C++ GUI library (OpenGL integration)
 Guichan is a small and efficient C++ GUI library designed for games. It
 comes with a standard set of widgets and can use several different objects
 for displaying graphics and grabbing user input.
 .
 Guichan has a very abstract design which allows users of Guichan to use
 different objects for displaying of graphics and grabbing of user input.
 Guichan comes with (for now) 3 implemented graphics objects (SDLGraphics,
 OpenGLGraphics and AllegroGraphics) and 2 implemented input objects
 (SDLInput and AllegroInput),
 .
 Guichan is designed in a very abstract way making it very easy to extend
 Guichan for your own needs. It is even very easy to implement new graphics
 objects making Guichan as portable as ansi C++ is.
 .
 This package contains the OpenGL integration for guichan.

Package: libguichan-0.8.1-1v5-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libguichan-0.8.1-1v5 (= ${binary:Version}),
 libguichan-allegro-0.8.1-1v5 (= ${binary:Version}),
 libguichan-sdl-0.8.1-1v5 (= ${binary:Version}),
 libguichan-opengl-0.8.1-1v5 (= ${binary:Version})
Description: small, efficient C++ GUI library (debugging symbols)
 Guichan is a small and efficient C++ GUI library designed for games. It
 comes with a standard set of widgets and can use several different objects
 for displaying graphics and grabbing user input.
 .
 Guichan has a very abstract design which allows users of Guichan to use
 different objects for displaying of graphics and grabbing of user input.
 Guichan comes with (for now) 3 implemented graphics objects (SDLGraphics,
 OpenGLGraphics and AllegroGraphics) and 2 implemented input objects
 (SDLInput and AllegroInput),
 .
 Guichan is designed in a very abstract way making it very easy to extend
 Guichan for your own needs. It is even very easy to implement new graphics
 objects making Guichan as portable as ansi C++ is.
 .
 This package contains the debugging symbols for guichan.

Package: libguichan-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libguichan-0.8.1-1v5 (= ${binary:Version}),
 libguichan-allegro-0.8.1-1v5 (= ${binary:Version}),
 libguichan-sdl-0.8.1-1v5 (= ${binary:Version}),
 libguichan-opengl-0.8.1-1v5 (= ${binary:Version}),
 liballegro4.2-dev,
 libsdl1.2-dev,
 libsdl-image1.2-dev,
 libgl1-mesa-dev
Conflicts: libguichan0-dev,
 libguichan1-dev,
 libguichan2-dev,
 libguichan0,
 libguichan1,
 libguichan2
Description: small, efficient C++ GUI library (development headers)
 Guichan is a small and efficient C++ GUI library designed for games. It
 comes with a standard set of widgets and can use several different objects
 for displaying graphics and grabbing user input.
 .
 Guichan has a very abstract design which allows users of Guichan to use
 different objects for displaying of graphics and grabbing of user input.
 Guichan comes with (for now) 3 implemented graphics objects (SDLGraphics,
 OpenGLGraphics and AllegroGraphics) and 2 implemented input objects
 (SDLInput and AllegroInput),
 .
 Guichan is designed in a very abstract way making it very easy to extend
 Guichan for your own needs. It is even very easy to implement new graphics
 objects making Guichan as portable as ansi C++ is.
 .
 This package contains the development headers for the guichan library.

=== debian/rules ===
#!/usr/bin/make -f

DEB_CONFIGURE_EXTRA_FLAGS := \
	--enable-sdl \
	--enable-sdlimage \
	--enable-opengl \
	--enable-allegro

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_install:
	dh_install
	find  $(CURDIR)/debian/libguichan-dev/usr/lib/$(DEB_HOST_MULTIARCH)/ \
		-type f -name lib\*.a \
		-exec strip --remove-section=.comment {} \;

override_dh_strip:
	dh_strip --dbg-package=libguichan-0.8.1-1v5-dbg

=== debian/watch ===
version=3
http://code.google.com/p/guichan/downloads/list?can=1 \
 .*/guichan-(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))|zip)

## guichan 0.8.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12...3.30)

# Path to local modules
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/CMake/Modules)

project(guichan VERSION 0.8.3 LANGUAGES CXX)

# We're maintaining binary compatibility within minor releases at the moment
set(PROJECT_SOVERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR})

# Set up pkg-config variables
set(prefix ${CMAKE_INSTALL_PREFIX})
set(exec_prefix ${CMAKE_INSTALL_PREFIX})
set(libdir ${CMAKE_INSTALL_PREFIX}/lib)
set(includedir ${CMAKE_INSTALL_PREFIX}/include)

add_compile_definitions(GUICHAN_BUILD GUICHAN_EXTENSION_BUILD)

# Find all dependencies first to check availability
find_package(Allegro)
find_package(OpenGL)
find_package(SDL)
find_package(SDL_image)

# Set default values for options
set(SDL_DEFAULT OFF)
if(SDL_FOUND AND SDLIMAGE_FOUND)
  set(SDL_DEFAULT ON)
endif()

option(ENABLE_ALLEGRO "Enable the Guichan Allegro extension" ${ALLEGRO_FOUND})
option(ENABLE_OPENGL "Enable the Guichan OpenGL extension" ${OPENGL_FOUND})
option(ENABLE_SDL "Enable the Guichan SDL extension" ${SDL_DEFAULT})

option(BUILD_GUICHAN_SHARED
       "Build the Guichan core library as a shared library." ON)

option(BUILD_GUICHAN_ALLEGRO_SHARED
       "Build the Guichan Allegro extension library as a shared library." ON)

option(BUILD_GUICHAN_OPENGL_SHARED
       "Build the Guichan OpenGL extension library as a shared library." ON)

option(BUILD_GUICHAN_SDL_SHARED
       "Build the Guichan SDL extension library as a shared library." ON)

# The Guichan core library
file(GLOB GUICHAN_HEADER include/guichan.hpp)
file(
  GLOB
  GUICHAN_HEADERS
  include/guichan/actionevent.hpp
  include/guichan/actionlistener.hpp
  include/guichan/basiccontainer.hpp
  include/guichan/cliprectangle.hpp
  include/guichan/color.hpp
  include/guichan/deathlistener.hpp
  include/guichan/defaultfont.hpp
  include/guichan/event.hpp
  include/guichan/exception.hpp
  include/guichan/focushandler.hpp
  include/guichan/focuslistener.hpp
  include/guichan/font.hpp
  include/guichan/genericinput.hpp
  include/guichan/glut.hpp
  include/guichan/graphics.hpp
  include/guichan/gui.hpp
  include/guichan/image.hpp
  include/guichan/imagefont.hpp
  include/guichan/imageloader.hpp
  include/guichan/input.hpp
  include/guichan/inputevent.hpp
  include/guichan/key.hpp
  include/guichan/keyevent.hpp
  include/guichan/keyinput.hpp
  include/guichan/keylistener.hpp
  include/guichan/listmodel.hpp
  include/guichan/mouseevent.hpp
  include/guichan/mouseinput.hpp
  include/guichan/mouselistener.hpp
  include/guichan/platform.hpp
  include/guichan/rectangle.hpp
  include/guichan/selectionevent.hpp
  include/guichan/selectionlistener.hpp
  include/guichan/widget.hpp
  include/guichan/widgetlistener.hpp)
file(GLOB GUICHAN_WIDGET_HEADERS include/guichan/widgets/*.hpp)
file(GLOB GUICHAN_CONTRIB_WIDGET_HEADERS include/guichan/contrib/widgets/*.hpp)
file(GLOB GUICHAN_SRC src/*.cpp)
file(GLOB GUICHAN_WIDGET_SRC src/widgets/*.cpp)

# Grouping of the source for nicer display in IDEs such as Visual Studio
source_group(src FILES ${GUICHAN_HEADER})
source_group(src/guichan FILES ${GUICHAN_HEADERS} ${GUICHAN_SRC})
source_group(src/guichan/widgets FILES ${GUICHAN_WIDGET_HEADERS}
                                       ${GUICHAN_WIDGET_SRC})
source_group(src/guichan/contrib/widgets
             FILES ${GUICHAN_CONTRIB_WIDGET_HEADERS})

if(BUILD_GUICHAN_SHARED)
  set(GUICHAN_LIBRARY_TYPE SHARED)
else()
  set(GUICHAN_LIBRARY_TYPE STATIC)
endif()
add_library(
  ${PROJECT_NAME}
  ${GUICHAN_LIBRARY_TYPE}
  ${GUICHAN_HEADER}
  ${GUICHAN_HEADERS}
  ${GUICHAN_WIDGET_HEADERS}
  ${GUICHAN_CONTRIB_WIDGET_HEADERS}
  ${GUICHAN_SRC}
  ${GUICHAN_WIDGET_SRC})

target_include_directories(${PROJECT_NAME} PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)

set_target_properties(
  ${PROJECT_NAME}
  PROPERTIES VERSION ${PROJECT_VERSION}
             SOVERSION ${PROJECT_SOVERSION})
install(
  TARGETS ${PROJECT_NAME}
  EXPORT ${PROJECT_NAME}Targets
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include)
install(FILES ${GUICHAN_HEADER} DESTINATION include/)
install(FILES ${GUICHAN_HEADERS} DESTINATION include/guichan/)
install(FILES ${GUICHAN_WIDGET_HEADERS} DESTINATION include/guichan/widgets/)
install(FILES ${GUICHAN_CONTRIB_WIDGET_HEADERS}
        DESTINATION include/guichan/contrib/widgets/)

configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/guichan.pc.in
  ${CMAKE_CURRENT_BINARY_DIR}/guichan.pc
  @ONLY)

install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/guichan.pc
  DESTINATION lib/pkgconfig)

# The Guichan Allegro extension library
if(ENABLE_ALLEGRO)
  if(NOT ALLEGRO_FOUND)
    message(FATAL_ERROR "Allegro extension was enabled but Allegro library was not found.")
  endif()

  # The Guichan Allegro extension source
  file(GLOB GUICHAN_ALLEGRO_HEADER include/guichan/allegro.hpp)
  file(GLOB GUICHAN_ALLEGRO_HEADERS include/guichan/allegro/*.hpp)
  file(GLOB GUICHAN_ALLEGRO_CONTRIB_HEADERS
       include/guichan/contrib/allegro/*.hpp)
  file(GLOB GUICHAN_ALLEGRO_SRC src/allegro/*.cpp)

  # Grouping of the source for nicer display in IDEs such as Visual Studio
  source_group(src/guichan FILES ${GUICHAN_ALLEGRO_HEADER})
  source_group(src/guichan/allegro FILES ${GUICHAN_ALLEGRO_HEADERS}
                                         ${GUICHAN_ALLEGRO_SRC})
  source_group(src/guichan/contrib/allegro
               FILES ${GUICHAN_ALLEGRO_CONTRIB_HEADERS})

  if(BUILD_GUICHAN_ALLEGRO_SHARED)
    set(GUICHAN_ALLEGRO_LIBRARY_TYPE SHARED)
  else()
    set(GUICHAN_ALLEGRO_LIBRARY_TYPE STATIC)
  endif()
  add_library(
    ${PROJECT_NAME}_allegro
    ${GUICHAN_ALLEGRO_LIBRARY_TYPE} ${GUICHAN_ALLEGRO_HEADER}
    ${GUICHAN_ALLEGRO_HEADERS} ${GUICHAN_ALLEGRO_CONTRIB_HEADERS}
    ${GUICHAN_ALLEGRO_SRC})

  target_include_directories(${PROJECT_NAME}_allegro PRIVATE ${ALLEGRO_INCLUDE_DIR})
  target_link_libraries(${PROJECT_NAME}_allegro PRIVATE ${PROJECT_NAME})

  if(WIN32)
    target_link_libraries(${PROJECT_NAME}_allegro PRIVATE ${ALLEG_LIBRARY})
  endif()

  set_target_properties(
    ${PROJECT_NAME}_allegro
    PROPERTIES VERSION ${PROJECT_VERSION}
               SOVERSION ${PROJECT_SOVERSION})
  install(
    TARGETS ${PROJECT_NAME}_allegro
    EXPORT ${PROJECT_NAME}Targets
    LIBRARY DESTINATION lib
    ARCHIVE DESTINATION lib
    RUNTIME DESTINATION bin
    INCLUDES DESTINATION include)
  install(FILES ${GUICHAN_ALLEGRO_HEADER} DESTINATION include/guichan/)
  install(FILES ${GUICHAN_ALLEGRO_HEADERS} DESTINATION include/guichan/allegro/)
  install(FILES ${GUICHAN_ALLEGRO_CONTRIB_HEADERS}
          DESTINATION include/guichan/contrib/allegro/)

  configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/guichan_allegro.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/guichan_allegro.pc
    @ONLY)

  install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/guichan_allegro.pc
    DESTINATION lib/pkgconfig)
endif()

# The Guichan OpenGL extension library
if(ENABLE_OPENGL)
  if(NOT OPENGL_FOUND)
    message(FATAL_ERROR "OpenGL extension was enabled but OpenGL library was not found.")
  endif()

  # The Guican OpenGL extension source
  file(GLOB GUICHAN_OPENGL_HEADER include/guichan/opengl.hpp)
  file(GLOB GUICHAN_OPENGL_HEADERS include/guichan/opengl/*.hpp)
  file(GLOB GUICHAN_OPENGL_CONTRIB_HEADERS include/guichan/contrib/opengl/*.hpp)
  file(GLOB GUICHAN_OPENGL_SRC src/opengl/*.cpp)

  # Grouping of the source for nicer display in IDEs such as Visual Studio
  source_group(src/guichan FILES ${GUICHAN_OPENGL_HEADER})
  source_group(src/guichan/opengl FILES ${GUICHAN_OPENGL_HEADERS}
                                        ${GUICHAN_OPENGL_SRC})
  source_group(src/guichan/contrib/opengl
               FILES ${GUICHAN_OPENGL_CONTRIB_HEADERS})

  if(BUILD_GUICHAN_OPENGL_SHARED)
    set(GUICHAN_OPENGL_LIBRARY_TYPE SHARED)
  else()
    set(GUICHAN_OPENGL_LIBRARY_TYPE STATIC)
  endif()
  add_library(
    ${PROJECT_NAME}_opengl
    ${GUICHAN_OPENGL_LIBRARY_TYPE} ${GUICHAN_OPENGL_HEADER}
    ${GUICHAN_OPENGL_HEADERS} ${GUICHAN_OPENGL_CONTRIB_HEADERS}
    ${GUICHAN_OPENGL_SRC})

  target_include_directories(${PROJECT_NAME}_opengl PRIVATE ${OPENGL_INCLUDE_DIR})
  target_link_libraries(${PROJECT_NAME}_opengl PRIVATE ${PROJECT_NAME})

  if(WIN32)
    target_link_libraries(${PROJECT_NAME}_opengl PRIVATE ${OPENGL_LIBRARY})
  endif()

  set_target_properties(
    ${PROJECT_NAME}_opengl
    PROPERTIES VERSION ${PROJECT_VERSION}
               SOVERSION ${PROJECT_SOVERSION})
  install(
    TARGETS ${PROJECT_NAME}_opengl
    EXPORT ${PROJECT_NAME}Targets
    LIBRARY DESTINATION lib
    ARCHIVE DESTINATION lib
    RUNTIME DESTINATION bin
    INCLUDES DESTINATION include)
  install(FILES ${GUICHAN_OPENGL_HEADER} DESTINATION include/guichan/)
  install(FILES ${GUICHAN_OPENGL_HEADERS} DESTINATION include/guichan/opengl/)
  install(FILES ${GUICHAN_OPENGL_CONTRIB_HEADERS}
          DESTINATION include/guichan/contrib/opengl/)

  configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/guichan_opengl.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/guichan_opengl.pc
    @ONLY)

  install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/guichan_opengl.pc
    DESTINATION lib/pkgconfig)
endif()

# The Guichan SDL extension library
if(ENABLE_SDL)
  if(NOT SDL_FOUND OR NOT SDLIMAGE_FOUND)
    message(FATAL_ERROR "SDL extension was enabled but SDL or SDL_image libraries were not found.")
  endif()

  # The Guichan SDL extension source
  file(GLOB GUICHAN_SDL_HEADER include/guichan/sdl.hpp)
  file(GLOB GUICHAN_SDL_HEADERS include/guichan/sdl/*.hpp)
  file(GLOB GUICHAN_SDL_CONTRIB_HEADERS include/guichan/contrib/sdl/*.hpp)
  file(GLOB GUICHAN_SDL_SRC src/sdl/*.cpp)

  # Grouping of the source for nicer display in IDEs such as Visual Studio
  source_group(src/guichan FILES ${GUICHAN_SDL_HEADER})
  source_group(src/guichan/sdl FILES ${GUICHAN_SDL_HEADERS} ${GUICHAN_SDL_SRC})
  source_group(src/guichan/contrib/sdl FILES ${GUICHAN_SDL_CONTRIB_HEADERS})

  if(BUILD_GUICHAN_SDL_SHARED)
    set(GUICHAN_SDL_LIBRARY_TYPE SHARED)
  else()
    set(GUICHAN_SDL_LIBRARY_TYPE STATIC)
  endif()
  add_library(
    ${PROJECT_NAME}_sdl
    ${GUICHAN_SDL_LIBRARY_TYPE} ${GUICHAN_SDL_HEADER} ${GUICHAN_SDL_HEADERS}
    ${GUICHAN_SDL_CONTRIB_HEADERS} ${GUICHAN_SDL_SRC})

  target_include_directories(${PROJECT_NAME}_sdl PRIVATE ${SDL_INCLUDE_DIR})
  target_link_libraries(${PROJECT_NAME}_sdl PRIVATE ${PROJECT_NAME})

  if(WIN32)
    if(MINGW)
      target_link_libraries(
        ${PROJECT_NAME}_sdl PRIVATE ${MINGW32_LIBRARY} ${SDL_LIBRARY}
        ${SDLIMAGE_LIBRARY} SDLmain)
    else()
      target_link_libraries(${PROJECT_NAME}_sdl PRIVATE ${SDL_LIBRARY}
                            ${SDLIMAGE_LIBRARY} SDLmain)
    endif()
  endif()

  set_target_properties(
    ${PROJECT_NAME}_sdl
    PROPERTIES VERSION ${PROJECT_VERSION}
               SOVERSION ${PROJECT_SOVERSION})
  install(
    TARGETS ${PROJECT_NAME}_sdl
    EXPORT ${PROJECT_NAME}Targets
    LIBRARY DESTINATION lib
    ARCHIVE DESTINATION lib
    RUNTIME DESTINATION bin
    INCLUDES DESTINATION include)
  install(FILES ${GUICHAN_SDL_HEADER} DESTINATION include/guichan/)
  install(FILES ${GUICHAN_SDL_HEADERS} DESTINATION include/guichan/sdl/)
  install(FILES ${GUICHAN_SDL_CONTRIB_HEADERS}
          DESTINATION include/guichan/contrib/sdl/)

  configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/guichan_sdl.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/guichan_sdl.pc
    @ONLY)

  install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/guichan_sdl.pc
    DESTINATION lib/pkgconfig)
endif()

# Export targets for downstream projects
install(EXPORT ${PROJECT_NAME}Targets
        FILE ${PROJECT_NAME}Targets.cmake
        DESTINATION lib/cmake/${PROJECT_NAME})

message(STATUS "Guichan ${PROJECT_VERSION} has been configured successfully!")
message(STATUS "Build configuration:")
message(STATUS "  Install prefix:   ${CMAKE_INSTALL_PREFIX}")
message(STATUS "  Build type:       ${CMAKE_BUILD_TYPE}")
message(STATUS "  Extensions:")

=== debian/changelog ===
guichan (0.8.3-1) experimental; urgency=medium

  * New upstream release.
    - Fixes missing link to guichan.
      Closes: #950199
    - Remove merged patches 01-sdl-dependent-link, 03-no-focushandler,
      04-spelling-errors and 05-link-additional-libs.
    - Adjust SONAME of the library packages.
  * Refactoring package to cmake.
    - Add upstream patch 01-gnuinstalldirs.
  * Remove SDL 1.2 support. It is deprecated also by upstream.
    Closes: #1038376
  * Bump Standards-Version to 4.7.2.
  * Adjust debian/watch to new upstream location.
  * Update debian/copyright.
  * Adjust lintian overrides.
  * Remove deprecated guichan.2 manpage.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 22 Oct 2025 09:16:35 +0200

guichan (0.8.2-21) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 14 Sep 2022 14:37:37 +0200

guichan (0.8.2-20) unstable; urgency=medium

  * Adjust lintian overrides.
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper-compat to level 13.
    - Add no required files to debian/not-installed.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Nov 2020 14:57:13 +0100

guichan (0.8.2-19) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0.
  * Use the new debhelper-compat notation, and drop the d/compat file.
  * Move lintian-overrides file to source directory.
  * Adjust source lintian-overrides.
  * Set Rules-Requires-Root: no.
  * Fix renamed lintian tag.
  * Install files from example directory.
  * Add patch 05-link-additional-libs to add missing links against libraries.
    Closes: #935140, #935139

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Jan 2020 16:32:57 +0100

guichan (0.8.2-18) unstable; urgency=medium

  *  Drop now useless dh-autoreconf.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 02 Aug 2017 09:22:49 +0200

guichan (0.8.2-17) unstable; urgency=medium

  * Bump debian/compat to level 10.
  * Bump Standards-Version to 4.0.0 (no changes required).
  * Drop dbg package.
  * Remove trigger files again.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 21 Jul 2017 14:13:05 +0200

guichan (0.8.2-16) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8 (no changes required).
  * Remove obsolete URL from debian/watch. The project is inactive.
  * Enable full hardening.
  * Add patch 04-spelling-errors to fix spelling errors.
  * Use debhelper triggers.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 23 Dec 2016 09:43:00 +0100

=== debian/control ===
Source: guichan
Priority: optional
Homepage: https://github.com/darkbitsorg/guichan
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper-compat (= 13),
 cmake,
 liballegro4.2-dev,
 libgl-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
Section: libs

Package: libguichan0.8
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: small, efficient C++ GUI library
 Guichan is a small and efficient C++ GUI library designed for games. It
 comes with a standard set of widgets and can use several different objects
 for displaying graphics and grabbing user input.
 .
 Guichan has a very abstract design which allows users of Guichan to use
 different objects for displaying of graphics and grabbing of user input.
 Guichan comes with (for now) 2 implemented graphics objects (OpenGLGraphics
 and AllegroGraphics) and 2 implemented input objects).
 .
 Guichan is designed in a very abstract way making it very easy to extend
 Guichan for your own needs. It is even very easy to implement new graphics
 objects making Guichan as portable as ansi C++ is.

Package: libguichan-allegro0.8
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: small, efficient C++ GUI library (allegro integration)
 Guichan is a small and efficient C++ GUI library designed for games. It
 comes with a standard set of widgets and can use several different objects
 for displaying graphics and grabbing user input.
 .
 Guichan has a very abstract design which allows users of Guichan to use
 different objects for displaying of graphics and grabbing of user input.
 Guichan comes with (for now) 2 implemented graphics objects (OpenGLGraphics
 and AllegroGraphics) and 2 implemented input objects).
 .
 Guichan is designed in a very abstract way making it very easy to extend
 Guichan for your own needs. It is even very easy to implement new graphics
 objects making Guichan as portable as ansi C++ is.
 .
 This package contains the allegro integration for guichan.

Package: libguichan-opengl0.8
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: small, efficient C++ GUI library (OpenGL integration)
 Guichan is a small and efficient C++ GUI library designed for games. It
 comes with a standard set of widgets and can use several different objects
 for displaying graphics and grabbing user input.
 .
 Guichan has a very abstract design which allows users of Guichan to use
 different objects for displaying of graphics and grabbing of user input.
 Guichan comes with (for now) 2 implemented graphics objects (OpenGLGraphics
 and AllegroGraphics) and 2 implemented input objects).
 .
 Guichan is designed in a very abstract way making it very easy to extend
 Guichan for your own needs. It is even very easy to implement new graphics
 objects making Guichan as portable as ansi C++ is.
 .
 This package contains the OpenGL integration for guichan.

Package: libguichan-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libguichan0.8 (= ${binary:Version}),
 libguichan-allegro0.8 (= ${binary:Version}),
 libguichan-opengl0.8 (= ${binary:Version}),
 liballegro4.2-dev,
 libgl-dev
Conflicts: libguichan0-dev,
 libguichan1-dev,
 libguichan2-dev,
 libguichan0,
 libguichan1,
 libguichan2
Description: small, efficient C++ GUI library (development headers)
 Guichan is a small and efficient C++ GUI library designed for games. It
 comes with a standard set of widgets and can use several different objects
 for displaying graphics and grabbing user input.
 .
 Guichan has a very abstract design which allows users of Guichan to use
 different objects for displaying of graphics and grabbing of user input.
 Guichan comes with (for now) 2 implemented graphics objects (OpenGLGraphics
 and AllegroGraphics) and 2 implemented input objects).
 .
 Guichan is designed in a very abstract way making it very easy to extend
 Guichan for your own needs. It is even very easy to implement new graphics
 objects making Guichan as portable as ansi C++ is.
 .
 This package contains the development headers for the guichan library.

=== debian/watch ===
version=4
opts=dversionmangle=s/\+git\d+// \
https://github.com/darkbitsorg/guichan/tags .*/v(\d\S+)\.tar\.gz
